package cz.muni.cv4cursoradapter;

import android.content.Context;
import android.database.Cursor;
import android.provider.ContactsContract;
import android.support.v4.widget.CursorAdapter;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;
import android.widget.TextView;

public class PeopleCursorAdapter extends CursorAdapter {

	public PeopleCursorAdapter(Context context, Cursor c, int flags) {
		super(context, c, flags);
	}

	@Override
	public View newView(Context context, Cursor cursor, ViewGroup parent) {
		View v = LayoutInflater.from(context).inflate(R.layout.list_item_contact, parent, false);
		v.setTag(new ViewHolder(v));
		return v;
	}

	@Override
	public void bindView(View view, Context context, Cursor cursor) {
		ViewHolder holder = (ViewHolder) view.getTag();
		holder.name.setText(cursor.getString(cursor.getColumnIndex(ContactsContract.CommonDataKinds.Phone.DISPLAY_NAME)));
		holder.hasNumber.setText(
				String.valueOf(cursor.getInt(cursor.getColumnIndex(ContactsContract.CommonDataKinds.Phone.TIMES_CONTACTED))));
	}

	class ViewHolder{
		TextView name;
		TextView hasNumber;

		public ViewHolder(View view) {
			this.name = ((TextView) view.findViewById(R.id.name));
			this.hasNumber = (TextView) view.findViewById(R.id.has_phone_number);
		}
	}
}
